For the complete documentation index, see llms.txt. This page is also available as Markdown.

allMids

Parameters

Name
Type
Required
Description

type

String

Yes

"allMids"

Returns

Object - Key-value pairs of coin name to mid-market price (String). If the order book is empty, the last trade price is used as a fallback.

Example

// Request
curl https://hyperliquid.blockpi.network/v1/info/your-api-key -X POST -H "Content-Type: application/json" --data '{"type":"allMids"}'

// Result
{"#9610":"0.70731","#9611":"0.29269","#9620":"0.618025","#9621":"0.381975","#9630":"0.56934","#9631":"0.43066","#9640":"0.554955","#9641":"0.445045","#9650":"0.5","#9651":"0.5","#9660":"0.5","#9661":"0.5","#9670":"0.796875","#9671":"0.203125","#9680":"0.500005","#9681":"0.499995","0G":"0.147445","2Z":"0.056334","@1":"16.2825","@10":"0.00007355","@100":"0.003556","@101":"0.131465","@102":"0.00769","@103":"0.00005377","@104":"0.027789","@105":"0.118805","@106":"0.005081","@107":"54.0265","@108":"0.028835","@109":"0.00048383","@11":"0.000405","@110":"0.01693","@111":"0.024514","@112":"0.0005408","@113":"0.00015","@114":"0.0001029","@115":"0.033192","@116":"0.00001202","@117":"0.0009794","@118":"0.014877","@119":"0.009494","@12":"0.00004494","@120":"0.016847","@121":"0.0092","@122":"0.003072","@123":"0.037503","@124":"0.01129","@125":"0.006268","@126":"0.033636","@127":"0.013584","@128":"0.00007","@129":"0.005221","@13":"0.00050327","@130":"0.000018","@131":"0.111","@132":"0.00126","@133":
  ...

Was this helpful?